commit:     092c4377f5becc9ce5d5a677c7e0afc94143b71c
Author:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Wed Jul  7 13:39:40 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jul  7 13:41:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=092c4377

net-news/rssguard: add 3.9.2

Signed-off-by: Anna Vyalkova <cyber+gentoo <AT> sysrq.in>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-news/rssguard/Manifest              |  1 +
 net-news/rssguard/rssguard-3.9.2.ebuild | 50 +++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/net-news/rssguard/Manifest b/net-news/rssguard/Manifest
index 2a6a3f69f22..5fc84d10ce1 100644
--- a/net-news/rssguard/Manifest
+++ b/net-news/rssguard/Manifest
@@ -1 +1,2 @@
 DIST rssguard-3.8.3.tar.gz 9865909 BLAKE2B 
7afc9dd0cec9ff58164c341f8cb3c6f31608da958a9c64f8099d9ba645cf7bbdaaa76accb3877943eefeb71b9172a13fa43c0ced7d58c6f368cc164e40a5ab39
 SHA512 
d7c1d18981177880d93bfaf4a87769638804058609f68b8c42db376c4a0e56230b57a29f70054deb30e02634cfa64355ecfe658b5f961a516b990af91c6f3ba8
+DIST rssguard-3.9.2.tar.gz 13607587 BLAKE2B 
45b3dd406e64bb13a19580255971b0d5eb1fd90d70d8559c736366af7792e7fc0627ee254dce79936ce6a179399271958b7795279a359306e345ec086081fc37
 SHA512 
30d2524f4ca42d903a047fe39de925268a1aac65192a8b1089b6ec0ec0a9dfef09c535fe391f750149063c06e3275b2632cc2ea2c24ded178760070abcea4958

diff --git a/net-news/rssguard/rssguard-3.9.2.ebuild 
b/net-news/rssguard/rssguard-3.9.2.ebuild
new file mode 100644
index 00000000000..36a00b4c4bb
--- /dev/null
+++ b/net-news/rssguard/rssguard-3.9.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic qmake-utils xdg
+
+DESCRIPTION="Tiny RSS and Atom feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard";
+SRC_URI="https://github.com/martinrotter/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="|| ( LGPL-3 GPL-2+ ) AGPL-3+ BSD GPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug webengine"
+
+BDEPEND="dev-qt/linguist-tools:5"
+DEPEND="
+       dev-qt/qtconcurrent:5
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5[ssl]
+       dev-qt/qtsql:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtxml:5
+       dev-qt/qtdeclarative:5
+       webengine? ( dev-qt/qtwebengine:5[widgets] )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       sed -e 's:lib.path = $$quote($$PREFIX/lib/):lib.path = 
$$quote($$PREFIX/'$(get_libdir)'/):' \
+               -i pri/install.pri || die
+}
+
+src_configure() {
+       # CONFIG+=ltcg is needed because of 
https://github.com/martinrotter/rssguard/issues/156
+       eqmake5 \
+               CONFIG+=$(usex debug debug release) \
+               $(is-flagq -flto* && echo "CONFIG+=ltcg") \
+               USE_WEBENGINE=$(usex webengine true false) \
+               PREFIX="${EPREFIX}"/usr \
+               INSTALL_ROOT=.
+}
+
+src_install() {
+       emake -j1 install INSTALL_ROOT="${D}"
+}

Reply via email to